powered by Jive Software

Upgraded to 4.4.0 (32bit) from 3.8.0. Cannot access Management Site

Yesterday I did an upgrade from 3.8.0 to 4.4.0 (I did not see anywhere that said I couldn’t and the installer went ahead and completed it). After installation I can no longer connect to the web management page. I am getting a 500 error with the following:

Problem accessing /. Reason:

    Server Error

Caused by:

java.lang.NoSuchMethodError: com.opensymphony.module.sitemesh.Factory.refresh()V
	at com.opensymphony.sitemesh.webapp.SiteMeshFilter.initContentProcessor(SiteMeshFilter.java:108)
	at com.opensymphony.sitemesh.webapp.SiteMeshFilter.doFilter(SiteMeshFilter.java:54)
	at org.eclipse.jetty.servlet.ServletHandler$CachedChain.doFilter(ServletHandler.java:1602)
	at org.eclipse.jetty.servlet.ServletHandler.doHandle(ServletHandler.java:540)
	at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:146)
	at org.eclipse.jetty.security.SecurityHandler.handle(SecurityHandler.java:548)
	at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:132)
	at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle(ScopedHandler.java:257)
	at org.eclipse.jetty.server.session.SessionHandler.doHandle(SessionHandler.java:1700)
	at org.eclipse.jetty.server.handler.ScopedHandler.nextHandle(ScopedHandler.java:255)
	at org.eclipse.jetty.server.handler.ContextHandler.doHandle(ContextHandler.java:1345)
	at org.eclipse.jetty.server.handler.ScopedHandler.nextScope(ScopedHandler.java:203)
	at org.eclipse.jetty.servlet.ServletHandler.doScope(ServletHandler.java:480)
	at org.eclipse.jetty.server.session.SessionHandler.doScope(SessionHandler.java:1667)
	at org.eclipse.jetty.server.handler.ScopedHandler.nextScope(ScopedHandler.java:201)
	at org.eclipse.jetty.server.handler.ContextHandler.doScope(ContextHandler.java:1247)
	at org.eclipse.jetty.server.handler.ScopedHandler.handle(ScopedHandler.java:144)
	at org.eclipse.jetty.server.handler.ContextHandlerCollection.handle(ContextHandlerCollection.java:220)
	at org.eclipse.jetty.server.handler.HandlerCollection.handle(HandlerCollection.java:152)
	at org.eclipse.jetty.server.handler.HandlerWrapper.handle(HandlerWrapper.java:132)
	at org.eclipse.jetty.server.Server.handle(Server.java:505)
	at org.eclipse.jetty.server.HttpChannel.handle(HttpChannel.java:370)
	at org.eclipse.jetty.server.HttpConnection.onFillable(HttpConnection.java:267)
	at org.eclipse.jetty.io.AbstractConnection$ReadCallback.succeeded(AbstractConnection.java:305)
	at org.eclipse.jetty.io.FillInterest.fillable(FillInterest.java:103)
	at org.eclipse.jetty.io.ChannelEndPoint$2.run(ChannelEndPoint.java:117)
	at org.eclipse.jetty.util.thread.QueuedThreadPool.runJob(QueuedThreadPool.java:698)
	at org.eclipse.jetty.util.thread.QueuedThreadPool$Runner.run(QueuedThreadPool.java:804)
	at java.lang.Thread.run(Unknown Source)

Not sure what the issue is here. I have Openfire running on W7 and I grabbed the installer with JRE in it. Not sure what to look at/check/do next.

Just to make this clear… All seems to be working great from the Spark clients. Lists populate, chats are working, status is correct, all of my links come through. I just cannot get to the admin console website so I cannot make changes.

Thanks,
Ryan

In theory it should work, but as installer has to do a few dozens of database updates since 3.8.0 and many files and libraries have changed, it can fail.

Sounds a bit like https://issues.igniterealtime.org/browse/OF-1647 though it should be fixed. Check if you have plugins/admin/webapp/WEB-INF/lib folder and remove it. Stop Openfire before doing that.

If it doesn’t help, you can revert back to backup and try doing incremental updates. Explanation: upgrading Openfire

Thanks. Yea, that did not work. I was planning on moving the installation to a new server anyway so I’ll just start from scratch and rebuild.

Thank you though.